From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ffi/
Date: Sun, 24 Sep 2023 06:15:33 +0000 (UTC) [thread overview]
Message-ID: <1695536109.f7e2bc9c7a4cd3b04fbb25f31b36e291868289e0.graaff@gentoo> (raw)
commit: f7e2bc9c7a4cd3b04fbb25f31b36e291868289e0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 24 06:15:09 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Sep 24 06:15:09 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7e2bc9c
dev-ruby/ffi: add 1.16.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/ffi/Manifest | 1 +
dev-ruby/ffi/ffi-1.16.0.ebuild | 66 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 67 insertions(+)
diff --git a/dev-ruby/ffi/Manifest b/dev-ruby/ffi/Manifest
index 4152e676f9a4..75f7311bb941 100644
--- a/dev-ruby/ffi/Manifest
+++ b/dev-ruby/ffi/Manifest
@@ -1 +1,2 @@
DIST ffi-git-1.15.5.tgz 168139 BLAKE2B 2ddd5bd7bfb7bcd39b6d740cbb1e0f4cd419ce6cb4ec12926f91f254b3f3142bc6166728a81a6f23dccfbf7aec911c63237c20fb0e2c70d30d48f4648e352585 SHA512 3668bafae936bf5010f014fbcf63258b023bcc318882775e7d2fcfc11334722ec2b6e8a8b9c910d406889fb173dd503c5c13f5af8e4f6927921f12f688461707
+DIST ffi-git-1.16.0.tgz 183318 BLAKE2B 41e9fc25e0e1ed7b295af2d19e02c8fabfa8f4382392549233ac386b9ace9ee87625b5b9b54ef99508d8ff2df6f286a6a4de0cc387d22173e625f68f4617736e SHA512 4677a65b9cfc09a1ad239327b29c89ecc7a668d981be9ad231c59fe3e0b82f18a2cea26fbf4253e0e3d1bd69b4fae4a027aad374af3b03c19a4395925355352f
diff --git a/dev-ruby/ffi/ffi-1.16.0.ebuild b/dev-ruby/ffi/ffi-1.16.0.ebuild
new file mode 100644
index 000000000000..dd92a3fe02db
--- /dev/null
+++ b/dev-ruby/ffi/ffi-1.16.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="ffi.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/ffi_c/extconf.rb)
+
+inherit ruby-fakegem toolchain-funcs
+
+DESCRIPTION="Ruby extension for programmatically loading dynamic libraries"
+HOMEPAGE="https://github.com/ffi/ffi/wiki"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${PN}-git-${PV}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+# Needs recent libffi for HPPA fixes (and probably Apple arm64 too)
+RDEPEND+=" >=dev-libs/libffi-3.4.4-r1:="
+DEPEND+=" >=dev-libs/libffi-3.4.4-r1:="
+
+ruby_add_bdepend "dev-ruby/rake"
+
+all_ruby_prepare() {
+ sed -i -e '/tasks/ s:^:#:' \
+ -e '/Gem::Tasks/,/end/ s:^:#:' Rakefile || die
+
+ sed -e '/require/c\require "./lib/ffi/version"' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -e '/^ lfs/,/^ end/ s:^:#:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Fix Makefile for tests
+ sed -i -e '/CCACHE :=/ s:^:#:' \
+ -e 's/-O2//' \
+ -e 's/^CFLAGS =/CFLAGS +=/' spec/ffi/fixtures/GNUmakefile || die
+
+ # Remove bundled version of libffi.
+ rm -rf ext/ffi_c/libffi || die
+}
+
+each_ruby_compile() {
+ each_fakegem_compile
+
+ ${RUBY} -S rake -f gen/Rakefile || die "types.conf generation failed"
+}
+
+each_ruby_test() {
+ CC=$(tc-getCC) CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" ${RUBY} -S rspec spec || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc samples/*
+}
next reply other threads:[~2023-09-24 6:15 UTC|newest]
Thread overview: 126+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-09-24 6:15 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-02 10:03 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/ffi/ Hans de Graaff
2024-11-01 6:48 Hans de Graaff
2024-10-13 11:06 Sam James
2024-10-09 7:54 Arthur Zamarin
2024-10-09 2:53 Jakov Smolić
2024-10-06 13:46 Arthur Zamarin
2024-10-06 13:30 Jakov Smolić
2024-10-06 11:52 Sam James
2024-06-03 5:55 Hans de Graaff
2024-06-02 8:34 Hans de Graaff
2023-12-31 19:20 Hans de Graaff
2023-12-05 18:25 Ionen Wolkens
2023-10-05 6:07 Hans de Graaff
2023-09-26 4:14 Hans de Graaff
2023-09-26 4:14 Hans de Graaff
2023-09-25 5:26 Hans de Graaff
2023-04-25 1:30 Sam James
2023-04-25 1:30 Sam James
2023-04-25 1:30 Sam James
2023-04-25 1:30 Sam James
2023-04-25 1:30 Sam James
2023-04-25 1:30 Sam James
2023-04-25 1:02 Sam James
2023-03-28 22:12 Sam James
2023-03-28 21:49 Sam James
2023-03-28 21:44 Sam James
2023-03-12 12:09 Hans de Graaff
2022-12-07 6:45 Hans de Graaff
2022-10-23 10:17 Hans de Graaff
2022-05-12 7:28 Agostino Sarubbo
2022-04-26 13:45 Sam James
2022-04-13 9:32 Jakov Smolić
2022-04-09 19:31 Arthur Zamarin
2022-04-04 6:37 Agostino Sarubbo
2022-04-03 22:08 Jakov Smolić
2022-04-03 10:10 Agostino Sarubbo
2022-04-02 14:46 Arthur Zamarin
2022-04-02 8:57 Hans de Graaff
2022-04-02 8:57 Hans de Graaff
2022-01-14 7:29 Hans de Graaff
2021-10-03 6:30 Hans de Graaff
2021-10-02 22:59 Sam James
2021-10-02 19:35 Sam James
2021-09-11 15:59 Sam James
2021-09-05 20:07 Agostino Sarubbo
2021-09-05 20:04 Agostino Sarubbo
2021-09-04 21:39 Sam James
2021-09-03 21:17 Sam James
2021-09-03 6:34 Agostino Sarubbo
2021-09-02 5:34 Hans de Graaff
2021-08-02 21:48 Marek Szuba
2021-07-07 17:38 Hans de Graaff
2021-06-21 5:26 Hans de Graaff
2021-05-23 7:16 Hans de Graaff
2021-03-20 8:47 Hans de Graaff
2021-03-08 7:18 Hans de Graaff
2021-02-21 8:12 Hans de Graaff
2020-12-28 9:46 Hans de Graaff
2020-12-23 5:53 Hans de Graaff
2020-12-23 5:53 Hans de Graaff
2020-11-06 3:21 Sam James
2020-06-10 4:58 Hans de Graaff
2020-06-03 6:08 Hans de Graaff
2020-04-12 11:55 Hans de Graaff
2020-02-23 6:04 Hans de Graaff
2020-02-02 7:22 Hans de Graaff
2020-01-27 10:54 Mikle Kolyada
2020-01-15 5:44 Hans de Graaff
2020-01-13 8:50 Agostino Sarubbo
2020-01-13 8:25 Sergei Trofimovich
2020-01-12 23:22 Sergei Trofimovich
2020-01-12 22:53 Sergei Trofimovich
2020-01-12 22:42 Sergei Trofimovich
2020-01-12 22:36 Sergei Trofimovich
2020-01-11 14:51 Agostino Sarubbo
2020-01-11 9:19 Hans de Graaff
2019-11-26 19:38 Hans de Graaff
2019-11-13 6:05 Hans de Graaff
2019-09-28 15:43 Pacho Ramos
2019-06-05 17:56 Hans de Graaff
2019-05-22 5:12 Hans de Graaff
2019-05-18 4:57 Hans de Graaff
2019-05-13 1:41 Thomas Deutschmann
2019-05-02 21:27 Mikle Kolyada
2019-04-28 20:16 Mikle Kolyada
2019-04-27 16:25 Sergei Trofimovich
2019-04-26 20:35 Sergei Trofimovich
2019-04-21 17:07 Sergei Trofimovich
2019-04-20 17:46 Mikle Kolyada
2019-04-11 18:29 Hans de Graaff
2019-01-09 8:07 Hans de Graaff
2018-06-09 5:45 Hans de Graaff
2018-03-09 9:27 Hans de Graaff
2018-03-04 6:12 Hans de Graaff
2018-02-23 6:29 Hans de Graaff
2018-02-08 6:25 Hans de Graaff
2017-12-28 20:34 Sergei Trofimovich
2017-12-24 6:52 Hans de Graaff
2017-12-23 11:17 Markus Meier
2017-12-20 22:21 Sergei Trofimovich
2017-10-23 18:42 Thomas Deutschmann
2017-10-17 5:40 Hans de Graaff
2017-10-16 22:27 Sergei Trofimovich
2017-10-13 17:35 Sergei Trofimovich
2017-10-12 19:04 Sergei Trofimovich
2017-10-12 19:04 Sergei Trofimovich
2017-10-07 6:02 Hans de Graaff
2017-10-07 6:02 Hans de Graaff
2017-08-27 6:18 Hans de Graaff
2017-07-22 19:25 Sergei Trofimovich
2017-05-06 6:41 Hans de Graaff
2017-03-07 6:01 Hans de Graaff
2017-01-22 8:32 Hans de Graaff
2017-01-14 6:36 Hans de Graaff
2017-01-14 6:36 Hans de Graaff
2016-12-11 7:26 Hans de Graaff
2016-07-12 4:38 Hans de Graaff
2016-07-12 4:38 Hans de Graaff
2016-07-12 4:38 Hans de Graaff
2016-07-12 4:38 Hans de Graaff
2016-07-12 4:38 Hans de Graaff
2016-07-06 5:33 Hans de Graaff
2016-03-16 5:58 Hans de Graaff
2016-03-16 5:58 Hans de Graaff
2016-03-16 5:58 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1695536109.f7e2bc9c7a4cd3b04fbb25f31b36e291868289e0.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox